http_head
http_post_fields
Funções para HTTP
PHP Manual

# http_post_data

(PECL pecl_http >= 0.1.0)

http_post_data — Perform POST request with pre-encoded data

### Descrição

string http_post_data ( string `$url` [, string `$data` [, array `$options` [, array `&$info` ]]] )

Performs an HTTP POST request on the supplied url.

Veja a lista completa de opções da requisição.

### Parâmetros

`url`

  URL

`data`

  String containing the pre-encoded post data

`options`

  opções da requisição

`info`

  Informações de requisição/resposta

### Valor Retornado

Retorna a(s) resposta(s) HTTP como uma string em caso de sucesso, ou `FALSE` em caso de falha.

http_head
http_post_fields
Funções para HTTP
PHP Manual